Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 89, views: 21.192 •

Canonical, het bedrijf achter de Linux-distributie Ubuntu, heeft Jaunty Jackalope, versie 9.04 van het besturingssysteem, beschikbaar gemaakt. Deze tiende editie van Ubuntu is in een desktop-, server- en netbook-editie verkrijgbaar.

De tiende versie van het opensource-besturingssysteem, de Jaunty Jackalope 9.04-release, moet Intrepid Ibex, of Ubuntu 8.10, opvolgen. Ubuntu 9.04 is in drie varianten verkrijgbaar: een reguliere versie voor installatie op desktops, een server-editie en een speciaal aangepaste variant voor gebruik met netbooks. De verschillende edities, met uitzondering van de Netbook Remix, zijn als 32bits- of 64bits-versie te downloaden en aangepaste releases voor op AMD- en Intel-processors gebaseerde platformen zijn beschikbaar. Voor pc's die niet met een grafische installatieprocedure overweg kunnen, is een alternatief image beschikbaar. Canonical zal tot oktober 2010 support verlenen op de 9.04-editie van Ubuntu.

Jaunty Jackalope is uitgerust met Linux-kernel 2.6.28 en de standaard desktopomgeving is Gnome 2.26. Het besturingssysteem is in de vorm van Kubuntu echter ook met KDE verkrijgbaar en tevens is een educatieve versie, Edubuntu, beschikbaar. Ubuntu 9.04 onderscheidt zich onder meer van voorgaande versies door snellere opstarttijden en het vlot ontwaken uit de slaapstand. Het standaard filesystem is ext3, maar tijdens de installatie kan ook opvolger ext4 worden gekozen.

De distributie van Ubuntu 9.04 verloopt zoals gebruikelijk via meerdere kanalen: het os kan direct vanaf de servers van Canonical of mirrors worden gedownload en Jaunty Jackalope is ook via bittorrent binnen te halen. Tevens kan Ubuntu via Wubi, een installatiehulp die onder Windows draait, worden geïnstalleerd. Desgewenst kan een dvd-image met daarop extra taalpakketten van het besturingssysteem worden gekozen. Tweakers.net nam aan de hand van de Release Candidate alvast een kijkje naar de prestaties van het besturingssysteem.

Ubuntu 9.04 - Jaunty Jackalope

Reacties (89)

Reactiefilter:-189086+121+216+30
Tja ik w8 nog ff met 9.04 ik heb nu 8.10 en daar had ik problemen met mn wireless card. Ik wil niet nog is hetzelfde meemaken. Maar jah iig had ik al gehoord dat dat al was opgelosd. Nog altijd wel heel mooi natuurlijk snellere boottijd, maar dat werkt toch beter bij de nieuwe ext4? Had ergens gelezen. ;) met 9.04 Alpha ext4

[Reactie gewijzigd door Simyager op 25 april 2009 12:57]

Ze hebben de netwerk interface weer wat verbeterd ten opzichten van 8.10

ik had ook telkens problemen met me netwerk onder 8.04 en 8.10 met de upgrade werkte alles gelijk.

Als je upgrade dan zal je wireless kaart gewoon blijven werken want hij neemt de instellingen over van 8.10

bij een nieuw install zou het kunnen dat je problemen ondervindt maar het is linux dus daar doe je geen new install voor een nieuwe release.
Zeker verstandig om nog even te wachten want ik heb inderdaad weer problemen met mijn intel (3945) wireless kaart. Verbinding maken met WPA2 werkt niet goed. Hij vraagt meerdere keren om een wachtwoord en maakt uiteindelijk geen verbinding. Door een aantal keer cancel te doen en dan pas het ww in te vullen wil het wel eens werken. Toch blijven dit soort dingen erg slordig in een final release.
Probeer eens met linux-backports-modules-* geinstalleerd. Ik had eerder ook problemen met mijn Intel 3945 (maar dan i.c.m. hidden wireless netwerken zonder beveiliging: het lukte dan vaak niet om te connecten) en nadat ik deze package had geinstalleerd waren de problemen verdwenen. Dit was overigens wel in 8.10 maar wie weet...
Ook hier een Intel 3945, ik gebruik de iwl3945 drivers en heb ook de linux-backports-modules geinstalleerd staan.
Totaal geen problemen mee, ik maak standaard verbinding met een hidden WPA2 wireless g netwerk en maak gebruik van de Gnome Network Manager.
Hij heeft zelfs sneller zijn verbinding gemaakt als in 8.10 en heb vooralsnog geen netwerk drops gehad.
Ik heb hier totaal geen problemen met mijn 3945, niet voor en niet na de upgrade. Ik gebruik wen WICD ipv Gnome Network Manager.
Sinds een maandje ongeveer, doet mijn wireless (intel 5100) het niet meer icm WPA2.
Verse 9.04 installatie heeft het probleem niet verholpen.
Schijnt een of andere bug in de iwlagn driver te zitten, hoop dat ze dit snel oplossen..
Mijn broadcom wifi (b43 driver) is bijna dood in deze versie. In 8.10 werkte het al brak, en werd ik continue gedisconnect, maar in 9.04 krijg ik nauwelijks meer data over m'n verbinding heen, en had ik al 2 kernel panics in de avond na de upgrade op m'n debian-based access point/router. Die heeft daarvoor meer als een jaar nonstop gedraait, dus daar aan ligt het niet. Misschien zet ik ndiswrapper wel weer terug, die broadcom drivers lijken echt nergens op :S
Misschien een goed idee om even te wachten. Ik deed gisteren een update van 8.10 en na een 4 uur download van 800meg and 30 minuten installeren gaf 't een error. Mijn hele systeem was fuck'ed. Gelukkig leeft mijn /home directory op een aparte partitie dus ik kon gewoon een verse installatie erop knallen (koste me alleen wat meer tijd).

Dit is niet de eerst keer dat me dit gebeurt met Ubuntu. Des al niet te min, het nog steeds mij favorite distribute. Andere distro's komen niet eens in de buurt.
dpkg --configure -a
opnieuw installeren is nooit nodig (zeg nooit nooit, maar toch).
Werkt als een speer.
Moest upgraden via 8.10 en daar deed de wireless het niet meer. Even aan het kabeltje gehangen, 9.04 erop en ook wireless werkt weer.
Had ergens iets vernomen over cloud computing?
Amazone bied een clouddienst d.m.v. ubuntu aan. Echter is het in deze versie ook mogelijk om je eigen cloud te bouwen.
Ik zou nog niet met Ext4 aan de slag aan: Hier wordt een bug getracked waar je softfreezes kan krijgen als je files verwijdert van een Exzt4 partitie. Beetje jammer dat ze dat dan als "stable" markeren.
het 'probleem' ligt echter niet bij ext4 maar bij ext3, in ext3 word de programmeur lui gemaakt door enkele dingen weg te abstraheren. Echter heeft ext4 zich volledig van de posix standaard gehouden, maar worden de standaarden niet altijd goed nageleefd door de programma's net boven het ext-x filesystem.

Neemt natuurlijk niet weg dat het gewoon nog niet echt stable te noemen is.
Hier gaat het om een ander probleem, nl softfreeze bij deletes. De fsync "bug" is inderdaad eerder een probleem van de devs:
No distribution should probably ship with Ext4 as default because Ext3's behaviour was broken and everyone relies on it. And it should not be shipped with Ext4 as default for the same reasons while people are warned to use XFS: Potential data loss on crashes.
In 2.6.30 zit er echter een patch dat het oude ext3 gedrag emuleert, en die patch is backported naar Ubuntu's 2.6.28. EXT4 gedraagt zich in Jaunty dus net als EXT3 (geen data loss), maar de vraag is echter of dit wel "goed" is ...
Het probleem doet zich niet meer voor met kernel 2.6.29 die bij de final release meegeleverd wordt. Het deed zich enkel voor in de RC's.

Ik heb geformatteerd met Ext4 en het draait prima, naar mijn gevoel is het systeem in zijn geheel sneller geworden dan 8.10.

Tot hiertoe slechts twee minpuntjes, firefox vloog er geregeld uit maar dat is opgelost door flashplugin-nonfree te installeren. Tweede minpuntje, om de nonfree drivers van mijn wireless kaartje te activeren moest ik even een ander netwerkkaartje (dat wel out of the box werkte) gebruiken.

Gevoelsmatig is het alleemaal weer wat beter geworden, paar extra utilities die broodnodig waren zoals voor het configureren van een tweede scherm etc.

Keep up the good work Canonical!.
Jaunty gebruikt 2.6.28 (kernels worden nooit geupgrade naar een nieuwe major versie), dus tenzij de fix gebackport wordt is de bug nog altijd aanwezig in Ubuntu 9.04.
Zou het de bug dan niet op "fix released" moeten staan en gesloten moeten zijn? Het staat nl nog steeds open (alleen bij de release notes staat er "fix released", wat ik interpreteer te betekenen als "we hebben je gewaarschuwd in de release notes"), en hoewel ik best durf te tinkeren met mn machine zie ik dataloss niet echt als een leerrijke experience.
Waarmee financieerd Canonical nou Ubuntu en etc eigenlijk? Alles is gratis. Ze verzenden zelfs gratis cd's naar je toe.

@hackerhater,icewind1991

Ooh ok. Ik had al gelezen dat de oprichter inderdaad een miljonair was, ik d8 dat et oa kwam door Canonical, maar ok ik weet het nu hardstikke bedankt jongens ;)

[Reactie gewijzigd door Simyager op 26 april 2009 00:18]

Support op bedrijven-versies ed
En ook van donaties en de oprichter die veel te veel geld heeft.
Klopt het dat er nog geen DVD is met nederlandse ondersteuning? (niet te vinden althans @ http://www.ubuntu.com/getubuntu/downloadmirrors#dvd).
Is het lastig een andere taal te installeren m.b.v. de CD image?
Met Systeem->beheer->taalondersteuning (of wat het ook in het engels is), kan je heel makkelijk andere talen installeren. Alle programma's passen zich vervolgens hier ook op aan. :) :>
Alle beschikbare taalpakketten zijn optioneel te installeren. De taal van jouw keuze wordt tijdens de installatie automatisch gedownload.
Hij is er in het nederlands heb ik gistere op de netbook van een vriend gezien.

Ik raad aan om de engelse versie te nemen, er zijn meer hulp sites in het engels dan in het nederlands namelijk, dus heb je meer kans dat je vindt waar je naar zoekt en kan je de uitleg beter volgen.

the magic woords are:
how to ..... en je probleem en je krijgt duizende oplossingen en dan is kiezen welke jij het makkelijkste uit te voeren vindt.

hij draai lekker moet ik zeggen 9.04 !! ben er een beetje mee aan knoeien nu

[Reactie gewijzigd door dispie op 25 april 2009 13:11]

Qua uitleg is het misschien makkelijker, maar meestal zijn de vertalingen vrij duidelijk en geillustreerd met screenshots.

Voor error messages te googlen is het handiger, maar dan bestaat er een shortcut:
LANG=C $APP
Zo start "LANG=C thunderbird" Thunderbird op met alle menus en eventuele errors in het Engels :)
Als je de installatie CD boot is de eerste vraag welke taal je wilt. Kies je Nederlands dan is zelfs het boot menu van de CD in het Nederlands. Gebruik je hem als live CD dan kan hij ook in het Nederlands (of Chinees of Zulu als je dat liever hebt). Althans bij Intrepid, maar ik neem aan dat dat bij Jaunty ook zo is.
En zo wordt Ubuntu steeds meer een alternatief voor Windows. Zelf werk ik nog wel met Windows, maar de overstap wordt wel steeds makkelijker.

Die netbook versie kan nog wel eens interessant worden, zeker aangezien Microsoft een Windows 7 versie uitbrengt waarbij je maar 3 applicaties tegelijk kan draaien. Waarom zou je dan kiezen voor Windows 7 voor je netbook?
Moet je het vooral gaan draaien.. Vooral leuk met een 'exotische' sata/raid kaart in je pc. Wedde dat je het nooit aan de gang krijgt? :)
Edit: Nooit fatsoenlijk aan de gang krijgt ;)

[Reactie gewijzigd door RichardHoman87 op 25 april 2009 13:07]

Exotische raid kaart in je netbook? Ik zou het gewoon proberen vanaf een live USB, zie je meteen of het werkt.
Tien tegen een dat alles gewoon zal werken of met gemak fatsoenlijk werkend te krijgen is.
Als ik kijk hoeveel gepruts met drivers ik heb om een Dell laptop te installeren met XP of met Ubuntu dan weet ik het wel... (tip: Onder XP met je een tiental drivers downloaden vanaf de site van Dell maar dat gaat niet want wifi en netwerk werken niet, zelfs de schermresolutie staat op 640x480 met 16 kleuren) Onder Ubuntu werkt alles out of the box.
Wat dacht je er van om gewoon de bijgeleverde DELL CD te gebruiken? Daar staat alles nl gewoon op
Of er rekening mee te houden dat er een netwerkdriver nodig is
die op een usb, en van daaruit de rest 'up to date" downloaden

je wilt een nieuwe install, dus zorg je voor zaken die je nodig hebt, je gaat toch ook geen boek schrijven, om er dan achter te komen dat je maar 15 blaadjes hebt ?
Bij m'n inspiron zaten enkel Vista drivers... :'(
Ubuntu is dan echt een hele verademing naast een installatie van win XP.

[Reactie gewijzigd door K_VL op 25 april 2009 21:51]

Euh, ik heb nog NOOIT, maar dan ook nog NOOIT een S-ATA kaart gezien die NIET werkt in Ubuntu.

In Windows daarentegen wel, al dat F6 geklungel, etc.
Dat jij nog nooit een S-ATA controller in je handen hebt gehad die problemen oplevert wil nog niet zeggen dat ze niet bestaan.
Zo heb ik WEL problemen gehad om een HighPoint RAID-controller aan de praat te krijgen onder Ubuntu Server. Het probleem hierbij was dat de bootdisk op de controller was aangesloten en je dus pre-setup de driver moet laden. Nu zal Ubuntu (Server) daar wel een oplossing voor hebben, maar ik heb het niet gevonden (ook niet na uren op internet gezocht te hebben).
Toegegeven dat de daarna aangeschafte 3Ware kaart out-the-box werkte, alleen dan zit je dus wel in een andere prijsklasse.

Ook Windows heeft deze problemen wel, daar hoeven we niet omheen te draaien, maar ga nu niet lopen te verkondigen dat Ubuntu zo geweldig/heilig is omdat deze geen problemen kent (wat de strekking van jouw opmerking is)!
Zelfde verhaal als bij Windows in dit geval. Je kan tijdens een *nix installatie drivers van bijv. een USB stick laden als deze niet standaard met de kernel worden meegeleverd.

Voor een server is het zowiezo niet zo slim Ubuntu te gebruiken. Weinig mirrors en veel bugs/slechte hardware ondersteuning. Gebruik dan liever Debian waar je ook experimentele boot CD's van kunt vinden die WEL de drivers die jij nodig hebt meeleveren.
Voor een server is het zowiezo niet zo slim Ubuntu te gebruiken. Weinig mirrors en veel bugs/slechte hardware ondersteuning.
Riiight... maar wel een betrouwbare release-cycle... wel prettig als je richting je baas wilt verantwoorden wanneer hij weer budget moet hebben voor een volgende upgrade-ronde.
grapjas. ik werk hier veel met die dingen, en des te exotischer, des te beter onder linux aan de praat te krijgen. en dat lukt dan onder windows ook nog wel, maar FATSOENLIJK draaiend? ik zweet nog steeds zo nu en dan om m'n windows partitie die ook vanaf m'n PERC5je boot (5x15k diskjes was toch wel iets verleidelijker dan een apart oud schijfje voor windows) om m'n verleden ervaringen daarmee. als er eenmaal iets fout gaat met zo'n kreng onder windows, kun je het wel schudden. windows, dat is huilen met de pet op qua ondersteuning van die dingen, zo nu en dan.


maargoed, dat is dan weer mijn ervaring, enkel ingebracht om jouw FUD te ontkrachten. waarschijnlijk werkt het allebei prima, maar moet je er maar net geen slechte ervaring mee hebben. :)
euhhhh - exotische raid kaart (op een netbook????? -

enne waarom nou weer exotische rommmel kopen -
ik meen me nog een tijd te herinneren dat je bij windows (9x NT en zelfs nog wel eens 2k) of soms juist bij vista - problemen krijg omdat nieuwere (of juist oudere) hardware ineens niet meer werkte...

heb hier zelf een scanner die niet werkt onder xp64 en vista 32/64 - (de 2 (euh 3) versies van windows die ik nu nog heb draaien - toch is het een goed ding.

als ik er onder windows rekening mee moet houden dat ik de HCL (en de fabrikant) even moet checken of er wel goede drivers zijn voor een upgrade - waarom zou ik dat dan niet?? doen onder ubuntu - bovendien, die scanner werkt inmiddels WEL onder ubuntu net als een munti-printer/scanner van brother (wat ik ook best exotisch durf te noemen),

(let wel ik gebruik hier express printers als voorbeeld (die worden namelijk veel MEER gebruikt, en er zijn ook meer merken en typen van..

als jouw exotische cheapo kaartje niet werkt Koop dan gewoon iets fatsoenlijks...
Waarom eigenlijk de 2.6.28 kernel en niet de 2.6.29 kernel? Tijdgebrek?
Bij kernel releases staat een oneven cijfer altijd voor unstable...

Ze werken nu dus aan de .29, als die klaar is wordt die gereleased als de .30 en beginnen ze direct aan de .31 te werken.

De .30 krijgt dan enkel bugfixes (2.6.30-1 etc...), waar de .31 nieuwe functionaliteit krijgt en dus trug "unstable" is...

Het spreekt voor zich dat men de stable versie kiest
Dit is onjuist. "Vroeger" waren de kernels oneven getallen in het midden unstable(/development) en de even getallen stable, bv. 2.4.19 was stable en 2.5.22 was unstable. Dat waren dan ook twee verschillende branches. Van dit development model zijn Linus en consorten al een hele tijd afgestapt, er wordt gewoon in de huidige stable tree (2.6.x) ontwikkeld. Revisies krijgen stable kernels wel, in de vorm van 2.6.28.x.
2.6.29 is gewoon stable :)
Van Wikipedia;
Sinds versie 1.0.0 worden de versienummers gekenmerkt door drie getallen. Het eerste getal wordt gebruikt om zeer radicale veranderingen aan te geven. Als het tweede getal even is, betekent dat dat het gaat om een productiekernel; een oneven getal betekent dat het een ontwikkelingskernel is. Elke versie van de kernel wordt bovendien gevolgd door kleinere bijwerkingen die fouten oplossen. Dit patchlevel is herkenbaar aan het derde getal.

Sinds de 2.6-serie is dit systeem echter verlaten en wordt er geen onderscheid meer gemaakt tussen productie- en ontwikkelingskernels. En sinds kernel 2.6 wordt het versienummer aangegeven met 4 cijfers. In de 2.6-serie staat het derde getal voor nieuwe functies en hardwareondersteuning, en het vierde voor foutoplossingen.
Ook op kernel.org staat dat .29 stable is :)
En daarom werkt Intrepid met 2.6.27?

De werkelijke reden is dat 2.6.29 te recent is om nog opgenomen te worden.
In het development traject komt er na een tijdje een code freeze, waarbij de versies die op dat moment gebruikt worden de uiteindelijke versies zijn (afgezien van showstoppers die een nieuwe versie vereisen). Daarna worden er alleen bugs gefixt in de op dat moment gebruikte code. Waarschijnlijk kwam 2.6.29 pas uit na de freeze.
Het heeft dus niet zo zeer te maken met tijdgebrek (een package bouwen is zo gebeurt), maar het feit dat .29 te laat uit kwam om nog degelijk te kunnen testen.
Als ik iedereen zo hoor ben ik blijkbaar toch een van de enige die niets van de betere boottime merkt, heb daarbovenop nog eens problemen met m'n geluid die ik mbv verscheidene topics en guides op het forum al heb proberen te verhelpen, maar het heeft nog niks uitgehaald. Misschien toch eens een clean install doen. Ook op m'n netbookje problemen, kan daar nml niet booten met de nieuwe versie.

Verder niets dan lof over Ubuntu in het algemeen want als het werkt, dan werkt het uitstekend en heeft het eigenlijk niets van onderhoud nodig, heb nu toch weer 6 maanden perfect kunnen werken, en ik verwacht dat dit binnen een week misschien 2 weer zo zal zijn.
Ik merk wel degelijk verschil hoor, bij 8.10 was mijn laptop altijd mijn desktop te snel af (nieuwe laptop, oude desktop) als ik ze tegelijk liet opstarten...

Na overschakeling van mijn desktop op 9.04 (nieuwe installatie, alles herformat naar ext4) is deze mijn laptop te snel af (scheelt in totaal iets van 5sec)

Als ik geen problemen ondervind met de desktop zal ik tegen volgende week ook laptop nieuwe install geven, kijk er al naar uit hoe snel die zal opstarten :)
Jammer dat het mijn Canon Pixma MP630 printer niet ondersteund.
Ik heb ook een Canon (ip4200) en hiervoor moet je de linux drivers van de website van Conon downloaden. Deze integreren zich met CUPS waardoor je ze vervolgens handmatig (of misschien zelfs automatisch) kunt toevoegen.
Zoiets is inderdaad jammer, maar ik kijk tegenwoordig voordat ik een apparaat koop altijd even of het ondersteund wordt. Zo hebben we hier thuis een HP Laserjet 3600n netwerkprinter, die ik met 3 klikken kan installeren onder Ubuntu, terwijl ik onder Windows 50 MB aan driver software moet downloaden.
Werkt ook niet altijd, een Canon LBP5000 staat wel in het lijstje van de canon printer driver, de software installeert ook maar print uiteindelijk niet...
(zijn dit wel hele foute printers, een simpele printerserver (diskstation) werkt ook niet)
Canon is idd een pain in the ass
Die weigerd om drivers te maken of specs vrij te geven
Ik denk daar heel simpel over : Werken hun niet mee koop ik er niks van
http://www.canon-europe.com/Support/software/linux
Daar kun je goed werkende drivers vandaan halen die met 3 kliks te installeren zijn ;)
Het eeuwige (lijkt het) probleem met canon printers. Drivers, maakt niet uit of het om windows of linux gaat, zijn DRAMATISCH slecht te noemen. De support is ronduit bedroevend en als een printer maar iets ouder is dan het laatste model, worden er al geen driversupdates of drivers voor nieuwe(re) OS en beschikbaar gesteld.
Het enige wat Canon (inktjet) printers zo interessant maakt is dat de inktcardridges zo goedkoop zijn en zo printen betaalbaar maakt.

Overigens, als ik zo de UNR versie van 9.04 bekijk, dan is daar nog HEEL VEEL werk te doen om ubuntu als echt alternatief voor windows te gebruiken. Vooral op gebuid van sound zijn er nog behoorlijk wat bugs.
Nu kan dat heel erg snel gaan. Ik weet nog dat ik 8.04 op mijn desktop zette (met KDE). Kubuntu desktop was toen bijna slecht te noemen: system hangs, slechte rendering van desktop. Kort daarna kwam KDE 4.1 uit en WAT EEN VERADEMING!.

Ik vind het in ieder geval de goede kant op gaan.

[Reactie gewijzigd door Khildin op 26 april 2009 09:26]

Ik heb geen problemen met audio, op geen enkel systeem. Pulseaudio doet het prima. Verder was KDE 4.0.x inderdaad te buggy voor woorden, maar dat was natuurlijk niet de schuld van Ubuntu. De gnome versie was namelijk niks mis mee.
zijn toch weer een hoop kleine verbeteringen tegenover 8.10 en ook een leuke snelheidsboost door ext4

Op dit item kan niet meer gereageerd worden.